Index: sansmodels/src/sans/models/c_extensions/binaryHS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/binaryHS.h	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
+++ sansmodels/src/sans/models/c_extensions/binaryHS.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -58,9 +58,9 @@
 
 /// 1D scattering function
-double binaryHS_analytical_1D(BinaryHSParameters *pars, double q);
+//double binaryHS_analytical_1D(BinaryHSParameters *pars, double q);
 
 /// 2D scattering function
-double binaryHS_analytical_2D(BinaryHSParameters *pars, double q, double phi);
-double binaryHS_analytical_2DXY(BinaryHSParameters *pars, double qx, double qy);
+//double binaryHS_analytical_2D(BinaryHSParameters *pars, double q, double phi);
+//double binaryHS_analytical_2DXY(BinaryHSParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/core_shell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -48,9 +48,9 @@
 
 /// 1D scattering function
-double core_shell_analytical_1D(CoreShellParameters *pars, double q);
+//double core_shell_analytical_1D(CoreShellParameters *pars, double q);
 
 /// 2D scattering function
-double core_shell_analytical_2D(CoreShellParameters *pars, double q, double phi);
-double core_shell_analytical_2DXY(CoreShellParameters *pars, double qx, double qy);
+//double core_shell_analytical_2D(CoreShellParameters *pars, double q, double phi);
+//double core_shell_analytical_2DXY(CoreShellParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/corefourshell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/corefourshell.h	(revision 339ce675656e3ab89eff7b84d8292a2e0ffe6109)
+++ sansmodels/src/sans/models/c_extensions/corefourshell.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -76,9 +76,9 @@
 
 /// 1D scattering function
-double corefourshell_analytical_1D(CoreFourShellParameters *pars, double q);
+//double corefourshell_analytical_1D(CoreFourShellParameters *pars, double q);
 
 /// 2D scattering function
-double corefourshell_analytical_2D(CoreFourShellParameters *pars, double q, double phi);
-double corefourshell_analytical_2DXY(CoreFourShellParameters *pars, double qx, double qy);
+//double corefourshell_analytical_2D(CoreFourShellParameters *pars, double q, double phi);
+//double corefourshell_analytical_2DXY(CoreFourShellParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/fractal.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/fractal.h	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
+++ sansmodels/src/sans/models/c_extensions/fractal.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -55,9 +55,9 @@
 
 /// 1D scattering function
-double fractal_analytical_1D(FractalParameters *pars, double q);
+//double fractal_analytical_1D(FractalParameters *pars, double q);
 
 /// 2D scattering function
-double fractal_analytical_2D(FractalParameters *pars, double q, double phi);
-double fractal_analytical_2DXY(FractalParameters *pars, double qx, double qy);
+//double fractal_analytical_2D(FractalParameters *pars, double q, double phi);
+//double fractal_analytical_2DXY(FractalParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/lamellarFF_HG.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarFF_HG.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/lamellarFF_HG.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -44,9 +44,9 @@
 
 /// 1D scattering function
-double lamellarFF_HG_analytical_1D(LamellarFF_HGParameters *pars, double q);
+//double lamellarFF_HG_analytical_1D(LamellarFF_HGParameters *pars, double q);
 
 /// 2D scattering function
-double lamellarFF_HG_analytical_2D(LamellarFF_HGParameters *pars, double q, double phi);
-double lamellarFF_HG_analytical_2DXY(LamellarFF_HGParameters *pars, double qx, double qy);
+//double lamellarFF_HG_analytical_2D(LamellarFF_HGParameters *pars, double q, double phi);
+//double lamellarFF_HG_analytical_2DXY(LamellarFF_HGParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/lamellarPC.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPC.h	(revision d5b6a9d7cd9e26b5f9e28e55e8cf848a40de6ae9)
+++ sansmodels/src/sans/models/c_extensions/lamellarPC.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -50,9 +50,9 @@
 
 /// 1D scattering function
-double lamellarPC_analytical_1D(LamellarPCParameters *pars, double q);
+//double lamellarPC_analytical_1D(LamellarPCParameters *pars, double q);
 
 /// 2D scattering function
-double lamellarPC_analytical_2D(LamellarPCParameters *pars, double q, double phi);
-double lamellarPC_analytical_2DXY(LamellarPCParameters *pars, double qx, double qy);
+//double lamellarPC_analytical_2D(LamellarPCParameters *pars, double q, double phi);
+//double lamellarPC_analytical_2DXY(LamellarPCParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -69,9 +69,9 @@
 
 /// 1D scattering function
-double lamellarPS_HG_analytical_1D(LamellarPSHGParameters *pars, double q);
+//double lamellarPS_HG_analytical_1D(LamellarPSHGParameters *pars, double q);
 
 /// 2D scattering function
-double lamellarPS_HG_analytical_2D(LamellarPSHGParameters *pars, double q, double phi);
-double lamellarPS_HG_analytical_2DXY(LamellarPSHGParameters *pars, double qx, double qy);
+//double lamellarPS_HG_analytical_2D(LamellarPSHGParameters *pars, double q, double phi);
+//double lamellarPS_HG_analytical_2DXY(LamellarPSHGParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/multishell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/multishell.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/multishell.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -58,9 +58,9 @@
 
 /// 1D scattering function
-double multishell_analytical_1D(MultiShellParameters *pars, double q);
+//double multishell_analytical_1D(MultiShellParameters *pars, double q);
 
 /// 2D scattering function
-double multishell_analytical_2D(MultiShellParameters *pars, double q, double phi);
-double multishell_analytical_2DXY(MultiShellParameters *pars, double qx, double qy);
+//double multishell_analytical_2D(MultiShellParameters *pars, double q, double phi);
+//double multishell_analytical_2DXY(MultiShellParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/sphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/sphere.h	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_extensions/sphere.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -44,9 +44,9 @@
 
 /// 1D scattering function
-double sphere_analytical_1D(SphereParameters *pars, double q);
+//double sphere_analytical_1D(SphereParameters *pars, double q);
 
 /// 2D scattering function
-double sphere_analytical_2D(SphereParameters *pars, double q, double phi);
-double sphere_analytical_2DXY(SphereParameters *pars, double qx, double qy);
+//double sphere_analytical_2D(SphereParameters *pars, double q, double phi);
+//double sphere_analytical_2DXY(SphereParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/vesicle.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 2399b2aa02ce10301917e5d3d2e5923f497c877c)
@@ -46,9 +46,9 @@
 
 /// 1D scattering function
-double vesicle_analytical_1D(VesicleParameters *pars, double q);
+//double vesicle_analytical_1D(VesicleParameters *pars, double q);
 
 /// 2D scattering function
-double vesicle_analytical_2D(VesicleParameters *pars, double q, double phi);
-double vesicle_analytical_2DXY(VesicleParameters *pars, double qx, double qy);
+//double vesicle_analytical_2D(VesicleParameters *pars, double q, double phi);
+//double vesicle_analytical_2DXY(VesicleParameters *pars, double qx, double qy);
 
 #endif
